WordPress 5.0已经推送,你会升级更新吗?

 2018-12-07 09:05:45  271 人阅读  62 条评论

昨天开始收到 WordPress 5.0 的升级推送通知,在本地测试了一下,发现这个 WordPress 5.0 最大的特点就是将文章编辑器默认为Gutenberg 编辑器。老实说,这个 Gutenberg 编辑器一般人还真不习惯,boke112 导航也使用不习惯了,Gutenberg 编辑器界面如下:

WordPress 5.0已经推送,你会升级更新吗? 最新资讯 第1张

为了照顾我们这帮不习惯 Gutenberg 编辑器的站长,WordPress 官方特意推出了 Classic Editor 插件,该插件就可以让我们选择是使用旧版编辑器(据说旧版编辑器支持到 2021 年)还是 Gutenberg 编辑器,发布短短的 7 个小时就有 60 多万人安装并启用。

WordPress 5.0已经推送,你会升级更新吗? 最新资讯 第2张

安装并启用 Classic Editor 插件后,默认是使用旧版编辑器,如果想要切换编辑器,只需要在后台的设置(Settings)>> 撰写 >> Default editor for all users >> 选择相应的编辑器即可(其中 Classic Editor 是旧版编辑器,Block Editor 是 Gutenberg 编辑器)。(PS:不想安装插件就想禁止 Gutenberg 编辑器的,请移步:如何完美禁止 WordPress5.0 使用 Gutenberg 块编辑器?

WordPress 5.0已经推送,你会升级更新吗? 最新资讯 第3张

如果不是管理员而是普通注册用户的话,只要这个站点安装有 Classic Editor 插件,那么只需要登录后台,在编辑个人资料页面中就可以选择是旧版编辑器还是 Gutenberg 编辑器。具体见下图:

WordPress 5.0已经推送,你会升级更新吗? 最新资讯 第4张

安装了 Classic Editor 插件之后是挺方便切换编辑器的,但是在编辑每一篇文章的时候都会自动添加一个自定义栏目 classic-editor-remember。如果是旧版编辑器,它的值就是 classic-editor;如果是 Gutenberg 编辑器,它的值就是 block-editor。(PS:不想安装插件就想禁止 Gutenberg 编辑器的,请移步:如何完美禁止 WordPress5.0 使用 Gutenberg 块编辑器?

WordPress 5.0已经推送,你会升级更新吗? 最新资讯 第5张

Boke112 导航建议大家在还没有熟悉 Gutenberg 编辑器,在没有确认自己所使用的主题和插件是否兼容 Gutenberg 编辑器和 WordPress5.0 的情况下,boke112 导航建议大家暂缓升级。据说到 2019 年 1 月份 WordPress5.0 将会更加稳定,到时候再升级也不迟(PS:不想升级又不想看到升级提示,可参考『不想升级到 WordPress 5.0 如何禁止更新提醒?』)。如果你还是要升级,建议在升级之前做好以下工作:

  • 联系主题作者确认主题是否支持 WordPress5.0;
  • 关注所使用的插件是否支持 WordPress5.0;
  • 备份整个网站,如果有阿里云快照功能的,不妨也建立一个新的快照以备用;
  • 安装 Classic Editor 插件,以便在旧版编辑器和 Gutenberg 编辑器之间切换。

历史上的今天:

本文地址:https://boke112.com/6161.html
文章标签: ,   ,   ,  
版权声明:本文为原创文章,版权归  所有,欢迎分享本文,转载请保留出处!

相关文章 分类热门分类热评最新问答

阿里云双12嘉年华:1核2G服务器367元/年,2核4G服务器959元/年,4核8G服务器5M带宽2090元/年。

 发表评论

中国赞表情摊手表情吃瓜表情笑哭表情偷笑表情衰表情汗表情思考表情费解表情抓狂表情晕表情流泪表情疑问表情嘻嘻表情吃惊表情鼓掌表情

  1. 天空博客
    天空博客 @回复

    ZBLOG博主路过。

  2. 寻飞
    寻飞 @回复

    我就暂不升级了。

    • 懿古今
      懿古今2018-12-09 22:19  回复

      @寻飞其实现在可以放心升级了,就算不喜欢块编辑器,完全可以用两行代码禁止它

  3. 微商货源
    微商货源 @回复

    自己改过模板文件,不敢随便升级了!

  4. 明月清风
    明月清风 @回复

    感觉挺有意思的,就是我们的不是wp。

  5. 趣知识
    趣知识 @回复

    我看有人说,最好别体验来着

    • 懿古今
      懿古今2018-12-08 16:17  回复

      @趣知识其实就是因为很多人不太熟悉块编辑器,现在可以用两行代码禁止这个编辑器,可以放心体验

  6. Fat_凯
    Fat_凯 @回复

    已经升级,但是用不惯编辑器,下载了classic editor插件,替换了编辑器!

    • 懿古今
      懿古今2018-12-08 16:19  回复

      @Fat_凯建议使用文中所建议的方法来禁止新编辑器,插件虽然可以切换编辑器,但是每篇文章都会新增自定义栏目,非常不爽。而用两行代码禁止新编辑器却没有这个缺点。

  7. 万能的机器猫
    万能的机器猫 @回复

    古登堡是趋势。经典一定会被取代。。。古登堡对于文章编辑来说效率大大提高。。建议尝试使用

    • 懿古今
      懿古今2018-12-08 12:41  回复

      @万能的机器猫[思考] 对于我来说,我都是在Word编辑好在复制粘贴到编辑器的,所以块编辑器就非常不适合我了,我比较喜欢经典编辑器

  8. 笛声
    笛声 @回复

    不会,适应不了新编辑器。

    • 懿古今
      懿古今2018-12-08 12:42  回复

      @笛声[嘻嘻] 现在已经有办法禁止新编辑器了,只需要两行代码而且没有后遗症,详见文章内容

  9. 清风小墨
    清风小墨 @回复

    好在我的主题自带wpbakery编辑器,经典古登堡都不用

  10. 老站长
    老站长 @回复

    再忍忍。。。 [吃瓜]

  11. 树懒 先生
    树懒 先生 @回复

    对这个编辑器很不习惯,还是暂时不升级了 [思考]

  12. Action
    Action @回复

    迟早还是要升级的,但是升级前先看看第一批吃螃蟹的人反馈怎么样,哈哈。

    • 懿古今
      懿古今2018-12-08 12:45  回复

      @Action[嘻嘻] 是的,比如现在就可以升级了,因为我们可以通过两行代码来禁止新版编辑器而且比插件还好,值得升级

  13. 学习笔记Blog
    学习笔记Blog @回复

    还是我大Typecho直接MarkDown语法支持!不依赖编辑器! [吃瓜] [嘻嘻] [鼓掌] [鼓掌]

  14. 猪怼怼
    猪怼怼 @回复

    wordpress功能性还是丰富些,zblog就没怎么更新过! [吃瓜]

    • 懿古今
      懿古今2018-12-08 12:45  回复

      @猪怼怼其实对于我们普通站长而言,只要程序没漏洞就行,后面更新的功能很多人都用不上

  15. 小兽wordpress
    小兽wordpress @回复

    更新吧。希望wordpress越来越强大,毕竟我们是靠wordpress吃饭。

  16. 靠谱学生兼职网
    靠谱学生兼职网 @回复

    更新吧,迟早的事

  17. 去看你博客
    去看你博客 @回复

    暂时不会,先等小白鼠上。 [笑哭] [笑哭]

  18. 洁灰博客园
    洁灰博客园 @回复

    暂时先观望一下下,稳定了以后再说,哈哈

  19. 值品
    值品 @回复

    手贱,已经升级了。

    • 懿古今
      懿古今2018-12-08 12:49  回复

      @值品[嘻嘻] 没事,现在可以通过两行代码来禁止新版编辑器而且没有后遗症,比插件好用,建议试试

  20. 灵异世界网
    灵异世界网 @回复

    我也是刚刚看到,准备已经在更新了、

  21. 黑鸟博客
    黑鸟博客 @回复

    手贱点击更新了,结果看了这编辑器只能装插件了

  22. 菊座
    菊座 @回复

    习惯性点了更新 结果这个编辑器真不习惯

  23. 雅兮网
    雅兮网 @回复

    还没有收到升级的推送,咋回事

    • 懿古今
      懿古今2018-12-07 10:30  回复

      @雅兮网[疑问] 我的多个站点后台都看到WordPress5.0的升级按钮了,不敢升级而已,只是在本地升级玩玩

  24. 青山
    青山 @回复

    等知更鸟主题兼容古腾堡再试试吧

  25. 萌妹子
    萌妹子 @回复

    平时就打打字,用什么编辑器倒是无所谓,不想用太花哨的功能!

  26. 中意眼镜工作室
    中意眼镜工作室 @回复

    这个编辑器用不习惯,而且用这个编辑器后,原来主题加在 Classic Editor 上的诸如短代码之类的增强功能都没法用了

  27. 里维斯社
    里维斯社 @回复

    其实熟悉一下也无妨,用习惯了,还不是跟最初使用WordPress的时候一样

    • 懿古今
      懿古今2018-12-07 09:33  回复

      @里维斯社最关键的是我们的博文大多数都是文字加一些图片而已,这个块编辑器很多功能用不上

  28. vshare
    vshare @回复

    5.0自带的Twenty Nineteen主题挺不错,大众化。新编辑器确实不太适用也不太实用,还是用Editor吧 [吃瓜]

    • 懿古今
      懿古今2018-12-07 09:14  回复

      @vshare[抓狂] 摆明了要我们多安装一个插件了,期待牛人直接出教程纯代码去掉Gutenberg 编辑器

  29. 明月登楼
    明月登楼 @回复

    对于WordPress5.0的这个编辑器,我一直很纳闷图什么?体验这么差为啥WordPress还要用!

    • 懿古今
      懿古今2018-12-07 09:15  回复

      @明月登楼我刚才看了一些国外的新闻,国外很多站长竟然很期待使用Gutenberg 编辑器,说完全是为了写作而生的编辑器,真心搞不懂

      • 鼠之妖途
        鼠之妖途2018-12-07 09:25  回复

        @懿古今这种块结构编辑器和很多WordPress第三方的页面编辑器插件类似的,其实熟悉之后可以实现很多复杂结构的页面效果;当然,如果仅仅是博客图文文章,这种编辑器的很多功能是有点多余的。

        • 懿古今
          懿古今2018-12-07 09:32  回复

          @鼠之妖途我们大多数个人博客最多就是文字加一些图片而已,所以这个编辑器确实不如旧版实用